Uploaded image for project: 'ActiveMQ'
  1. ActiveMQ
  2. AMQ-4341

activemq-broker feature can not be installed when OBR is enabled

    XMLWordPrintableJSON

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.8.0
    • Fix Version/s: 5.9.0
    • Component/s: None
    • Labels:
      None

      Description

      While trying to integrate ActiveMQ 5.8.0 into ServiceMix 5.0.0, I bumped into 2 problems with the features descriptor on a Karaf-based container that has OBR resolution enabled for the Features service:

      • the activemq-http fragment is referring to a Fragment-Host called org.apache.activemq.activemq-core, which no longer exists
      • the xbean-spring bundle is marked with dependency=true but no other bundle is importing any packages from it, so it does not get installed - since activemq-karaf does need those packages to work properly, the easiest solution is probably to add a proper Import-Package header to that bundle.

        Attachments

        1. AMQ-4341.patch
          7 kB
          Ioannis Canellos
        2. AMQ-4341-2.patch
          13 kB
          Ioannis Canellos

          Issue Links

            Activity

              People

              • Assignee:
                gtully Gary Tully
                Reporter:
                gertvanthienen Gert Vanthienen
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: